#
# spec file for package perl-Clone-Choose
#
# Copyright (c) 2018 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via https://bugs.opensuse.org/
#


Name:           perl-Clone-Choose
Version:        0.010
Release:        1.24
%define cpan_name Clone-Choose
Summary:        Choose appropriate clone utility
License:        Artistic-1.0 OR GPL-1.0-or-later
Group:          Development/Libraries/Perl
Url:            https://metacpan.org/release/%{cpan_name}
Source0:        https://cpan.metacpan.org/authors/id/H/HE/HERMES/%{cpan_name}-%{version}.tar.gz
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  perl
BuildRequires:  perl-macros
BuildRequires:  perl(Test::More) >= 0.9
BuildRequires:  perl(Test::WriteVariants)
BuildRequires:  perl(Test::Without::Module)
Recommends:     perl(Module::Runtime)
# Suggest the most wanted clone type
Recommends:     perl(Clone)
%{perl_requires}

%description
'Clone::Choose' checks several different modules which provides a 'clone()'
function and selects an appropriate one. The default preference is

  Clone
  Storable
  Clone::PP

This list might evolve in future. Please see EXPORTS how to pick a
particular one.

%prep
%setup -q -n %{cpan_name}-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%check
%{__make} test

%install
%perl_make_install
%perl_process_packlist
%perl_gen_filelist

%files -f %{name}.files
%defattr(-,root,root,755)
%doc Changes README.md

%changelog
* Tue Oct  9 2018 Dirk Stoecker <opensuse@dstoecker.de>
- Created
